import type { Readable } from './store';
export declare function onNextChange<T>(store: Readable<T>, onChange: (value: T) => void): void;
/**
 * HTML escapes content. For use with other HTML-adding formatters such as autolink.
 */
export declare function escape(value: string): string;
export declare function unescape(value: string): string | null;
/**
 * Adds <br> tags in place of newlines characters.
 */
export declare function br(value: string): string;
export declare function unbr(value: string): string;
/**
 * Adds automatic links to escaped content (be sure to escape user content). Can be used on existing HTML content as it
 * will skip URLs within HTML tags. Passing a value in the second parameter will set the target to that value or
 * `_blank` if the value is `true`.
 */
export declare function autolink(value: string, target?: string | boolean): string;
export declare function number(value: number, decimalPoints?: number): string | undefined;
export declare function parseInteger(value: string): number | undefined;
export declare function price(value: number, currency?: string): string;
export declare function percent(value: number): string;
export declare function confirm(title: string, options?: {
    yesNo?: boolean;
}): Promise<boolean>;
export declare function confirm(title: string, message?: string, options?: {
    yesNo?: boolean;
}): Promise<boolean>;
export declare function prompt(title: string, message: string, options?: {
    yesNo?: boolean;
}): Promise<string>;
